<?php
/**
 * Arquivo de declaração da classe Acesso.
 */
class Acesso
{
    private $consultar;
    private $inserir;
    private $editar;
    private $excluir;

    /**
     * Método construtor.
     *
     * @param int $consultar
     * @param int $inserir
     * @param int $editar
     * @param int $excluir
     */
    public function __construct($consultar = 0, $inserir = 0, $editar = 0, $excluir = 0)
    {
        $this->consultar = $consultar;
        $this->inserir = $inserir;
        $this->editar = $editar;
        $this->excluir = $excluir;
    }

    /**
     * Verifica permissão.
     *
     * @param  string $tela
     * @return object
     */
    public static function check($tela = '')
    {
        // Verifica se o usuário master (acesso total)
        if ($_SESSION['sesCMSIdPerfil'] == 1) {
            return new Acesso(1, 1, 1, 1);
        }

        $arrPerm = Permissao::permissaoTela($tela, $_SESSION['sesCMSCodigo']);

        return new Acesso($arrPerm['consultar'], $arrPerm['inserir'], $arrPerm['editar'], $arrPerm['excluir']);
    }

    /**
     * Consultar.
     */
    public function consultar()
    {
        return $this->consultar;
    }

    /**
     * Inserir.
     */
    public function inserir()
    {
        return $this->inserir;
    }

    /**
     * Editar.
     */
    public function editar()
    {
        return $this->editar;
    }

    /**
     * Excluir.
     */
    public function excluir()
    {
        return $this->excluir;
    }
}
